init:
    
    $ filters["pc_interface"] = u"ПК Интерфейс"
    
    python:
        def pc_interface():
            renpy.display.screen.screens[("say", None)] = renpy.display.screen.screens[("pc_say", None)]
            renpy.display.screen.screens[("choice", None)] = renpy.display.screen.screens[("pc_choice", None)]
            renpy.display.screen.screens[("nvl", None)] = renpy.display.screen.screens[("pc_nvl", None)]
    
screen pc_say:

    window background None id "window":

        $ timeofday = persistent.timeofday

        if persistent.font_size == "large":

            imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/backward_%s.png") xpos 25 ypos 616 action ShowMenu("help")

            add ("pc_interface/gui/dialogue_box/"+timeofday+"/dialogue_box_large.png") xpos 116 ypos 577

            if not config.skipping:
                imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/forward_%s.png") xpos 1179 ypos 616 action Skip()
            else:
                imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/fast_forward_%s.png") xpos 1179 ypos 616 action Skip()

            text what id "what" xpos 129 ypos 609 xmaximum 1027 size 23 line_spacing 1
            if who:
                text who id "who" xpos 129 ypos 585 size 23 line_spacing 1

        elif persistent.font_size == "small":

            imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/backward_%s.png") xpos 25 ypos 633 action ShowMenu("help")

            add ("pc_interface/gui/dialogue_box/"+timeofday+"/dialogue_box.png") xpos 116 ypos 611

            if not config.skipping:
                imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/forward_%s.png") xpos 1179 ypos 633 action Skip()
            else:
                imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/fast_forward_%s.png") xpos 1179 ypos 633 action Skip()

            text what id "what" xpos 130 ypos 643 xmaximum 1027 size 19 line_spacing 1
            if who:
                text who id "who" xpos 130 ypos 621 size 19 line_spacing 1
                
screen pc_choice:

    modal True

    python:
        choice_colors_hover={                        
        'day': "#9dcd55",
        'night': "#3ccfa2",
        'sunset': "#dcd168",
        'prologue': "#98d8da"
                            }

        choice_colors={
        'day': "#466123",
        'night': "#145644",
        'sunset': "#69652f",
        'prologue': "#496463"
                            }

        choice_colors_selected={                        
            'day': "#2a3b15",
            'night': "#0b3027",
            'sunset': "#42401e",
            'prologue': "#2d3d3d",
                        }

    window background Frame(get_image("gui/choice/"+persistent.timeofday+"/choice_box.png"),33,33) xfill True yalign 0.5 left_padding 50 right_padding 50 bottom_padding 33 top_padding 33:

        has vbox xalign 0.5

        for caption, action, chosen in items:
            if action and caption:

                button background None:
                    xalign 0.5
                    action action
                    if persistent.licensed:
                        if caption in persistent.choices and caption != "Налево" and caption != "Направо" and caption != "Go left" and caption != "Go right" and caption != "Ir a la izquierda" and caption != "Ir a la derecha":
                            text caption font header_font size 25 hover_size 25 color choice_colors_selected[persistent.timeofday] hover_color choice_colors_hover[persistent.timeofday] xcenter 0.5 text_align 0.5
                        else:
                            text caption font header_font size 25 hover_size 25 color choice_colors[persistent.timeofday] hover_color choice_colors_hover[persistent.timeofday] xcenter 0.5 text_align 0.5
                    else:
                        text caption font header_font size 25 hover_size 25 color choice_colors[persistent.timeofday] hover_color choice_colors_hover[persistent.timeofday] xalign 0.5
            else:
                if persistent.licensed:
                    text caption font header_font size 40 color choice_colors[persistent.timeofday] text_align 0.5 xcenter 0.5
                else:
                    text caption font header_font size 27 color choice_colors[persistent.timeofday] xalign 0.5 text_align 0.5 xcenter 0.5
                    
screen pc_nvl:

    $ timeofday = persistent.timeofday

    window background Frame(get_image("gui/choice/"+timeofday+"/choice_box.png"),33,33) xfill True yfill True yalign 0.5 left_padding 117 right_padding 117 bottom_padding 100 top_padding 100:
        has vbox
        for who, what, who_id, what_id, window_id in dialogue:
            window:
                id window_id
                has hbox:
                    spacing 10
                if persistent.font_size == "large":
                    if who is not None:
                        text who id who_id size 23
                    text what id what_id size 23
                elif persistent.font_size == "small":
                    if who is not None:
                        text who id who_id size 19
                    text what id what_id size 19
        if items:
            vbox:
                id "menu"
                for caption, action, chosen in items:
                    if action:
                        button:
                            style "nvl_menu_choice_button"
                            action action
                            text caption style "nvl_menu_choice"
                    else:
                        text caption style "nvl_dialogue"

    imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/backward_%s.png") xpos 25 ypos 616 action ShowMenu("help")

    if not config.skipping:
        imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/forward_%s.png") xpos 1179 ypos 633 action Skip()
    else:
        imagebutton auto ("pc_interface/gui/dialogue_box/"+timeofday+"/fast_forward_%s.png") xpos 1179 ypos 633 action Skip()
        
#Фильтр создан Великим Евгением самым ахуенным и пиздатым человеком на этой планете а точнее во всей ебучей вселенной я самый нахуй идеальный неповторимый сука кто не согласен тому ничего не сделаю

#Пройдите мод Один в Лагере, он в стиме и в загрузчике есть, гы-гы